Package com.saxonica.config.pe

## Class ICUNumberer_de

- java.lang.Object
- - net.sf.saxon.expr.number.AbstractNumberer
  - - com.saxonica.config.pe.ICUNumbererPE
    - - com.saxonica.config.pe.ICUNumberer_de

- All Implemented Interfaces:
    `Numberer`

      public class ICUNumberer_de
      extends ICUNumbererPE

  A numberer for German using the ICU features, which supports variable ordinal suffixing, for example '-en', '-es'

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.expr.number.AbstractNumberer

      `cyrillicLower, cyrillicUpper, greekLower, greekUpper, hebrew, hiraganaA, hiraganaI, katakanaA, katakanaI, latinLower, latinUpper, LOWER_CASE, TITLE_CASE, UPPER_CASE, westernDigits`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ICUNumberer_de()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `config​(java.util.Locale locale, java.lang.String privateUseExtension, Configuration config)` | Configure an ICU numberer.
    `java.lang.String` | `postProcessOrdinal​(java.lang.String result, java.lang.String ordinalParam)` | Replace trailing 'e' on German ordinals with the post-hyphen suffix, e.g.

    - ### Methods inherited from class com.saxonica.config.pe.ICUNumbererPE

      `availableOrdinalNumberings, availableSpelloutNumberings, dayName, defaultedLocale, getICUVersion, getLocales, getNumberer, getPreferences, monthName, ordinalSuffix, postProcess, realLocale, toOrdinalWords, toWords, toWords`

    - ### Methods inherited from class net.sf.saxon.expr.number.AbstractNumberer

      `alphaDefault, convertDigitSystem, format, format, getCalendarName, getCountry, getEraName, getLanguage, getOrdinalSuffixForDateTime, halfDayName, setCountry, setLanguage, toAlpha, toAlphaSequence, toJapanese, toRoman, zero`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ICUNumberer_de

          public ICUNumberer_de()

  - ### Method Detail

    - #### config

          public void config​(java.util.Locale locale,
                             java.lang.String privateUseExtension,
                             Configuration config)

      Description copied from class: `ICUNumbererPE`
      Configure an ICU numberer. This includes possibly substituting a default locale if that requested isn't supported.
      Overrides:
        `config` in class `ICUNumbererPE`
      Parameters:
        `locale` - the locale to use
        `privateUseExtension` - the language code extension used to denote required numbering
        `config` - the system Configuration

    - #### postProcessOrdinal

          public java.lang.String postProcessOrdinal​(java.lang.String result,
                                                     java.lang.String ordinalParam)

      Replace trailing 'e' on German ordinals with the post-hyphen suffix, e.g. '-en'
      Overrides:
        `postProcessOrdinal` in class `ICUNumbererPE`
      Parameters:
        `result` - the raw result as delivered by ICU
        `ordinalParam` - the requested ordinal form, e.g. "-er" or "-es"
      Returns:
        New ordinal as words, with appropriate suffix